<?php

namespace ByDedi\AdminBundle\Admin;

use ByDedi\AdminBundle\Form\Type\CkeditorType;
use ByDedi\AdminBundle\Form\Type\SecurityRolesType;
use Sonata\AdminBundle\Datagrid\DatagridMapper;
use Sonata\AdminBundle\Datagrid\ListMapper;
use Sonata\AdminBundle\Form\FormMapper;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;

class GroupAdmin extends BaseAdmin
{

    /**
     * {@inheritdoc}
     */
    protected $formOptions = array(
        'validation_groups' => 'Registration',
    );

    /**
     * {@inheritdoc}
     */
    public function getNewInstance()
    {
        $class = $this->getClass();

        return new $class('', array());
    }

    /**
     * {@inheritdoc}
     */
    protected function configureListFields(ListMapper $listMapper)
    {
        $listMapper
            ->addIdentifier('id', null, ['label' => 'ID'])
            ->addIdentifier('name', null, ['label' => 'Nom'])
//            ->add('roles')
        ;

        $listMapper
            ->add('_action', 'actions', $this->getDefaultListActionParams());
    }

    /**
     * {@inheritdoc}
     */
    protected function configureDatagridFilters(DatagridMapper $datagridMapper)
    {
        $datagridMapper
            ->add('id', null, ['label' => 'ID'])
            ->add('name', null, ['label' => 'Nom'])
        ;
    }

    /**
     * {@inheritdoc}
     */
    protected function configureFormFields(FormMapper $formMapper)
    {
        $formMapper
            ->tab('Informations')
            ->with('Identification', array())
            ->add('name', null, ['label' => 'Nom'])
            ->end()
            ->end()
            ->tab('Droits')
            ->with('Roles', array('class' => 'col-md-12'))
            ->add('roles', SecurityRolesType::class, array(
                'expanded' => true,
                'multiple' => true,
                'required' => false,
            ))
            ->end()
            ->end()
        ;
    }
}
